/*
* A static spike which hurts without per se blocking
*/
"use strict";

var GO_Spike = function(){
	this.sprite = new Sprite(GO_Spike.spriteSheet,"Spike");
	this.sprite.collision_flags = 
		DEFINE_SPRITE_COLLISION_FLAGS.SPRITES_PASSIVE;
	this.sprite.setBoundingBox(2,2,12,12);
	//sprite.constraints=constraints;
	this.sprite.max_step = 0;
	this.sprite.game_object = this; // no longer a generic GO
};
GO_Spike.spriteImg = SDS_Load_Image("art/sheets/sprite/spike.png");
GO_Spike.spriteSheet = new TileSheet(4, 4, 0, 0, GO_Spike.spriteImg);

GO_Spike.prototype = new GameObject(
	new Sprite(
		GO_Spike.spriteSheet,
		"Spike"
	),
	"Spike"
	);

	GO_Spike.prototype.interactions = DEFINE_GAMEOBJECT_INTERACTIONS.INFLICT;

	GO_Spike.prototype.inflict = function(){
		return {hp: 3, chi:0};
	};

	GO_Spike.prototype.Update = function(){

	};



